require 'rake'
require 'rake/testtask'
require 'rake/rdoctask'
require 'rake/gempackagetask'

Rake::TestTask.new do |task|
  task.libs << 'lib'
  task.libs << 'test'
  task.test_files = [ "test/test_all.rb" ]
  task.verbose = true
end

Rake::RDocTask.new do |task|
  task.rdoc_files.include "README"
  task.main = "README"
end

gemspec = Gem::Specification.new do |gemspec|
  gemspec.platform = Gem::Platform::RUBY
  gemspec.name = "minicomic"
  gemspec.version = "0.2"
  gemspec.author = "MenTaLguY <mental@rydia.net>"
  gemspec.summary = "Rake rules for minicomic impressions"
  gemspec.test_file = 'test/test_all.rb'
  gemspec.files = FileList[ 'Rakefile', 'test/*.rb', 'lib/**/*.rb' ]
  gemspec.require_paths = [ 'lib' ]
  gemspec.has_rdoc = true
  gemspec.extra_rdoc_files = %w(README)
  gemspec.rdoc_options = %w(--main README)
  gemspec.add_dependency 'rake', '>= 0.7.0'
end

task :package => [ :test ]
Rake::GemPackageTask.new( gemspec ) do |task|
  task.gem_spec = gemspec
  task.need_tar = true
end

task :default => [ :package ]

